Package org.apache.batchee.jsefa

## Class JSefaReader

- java.lang.Object
- - org.apache.batchee.extras.transaction.CountedReader
  - - org.apache.batchee.jsefa.JSefaReader

- All Implemented Interfaces:
    `javax.batch.api.chunk.ItemReader`
  Direct Known Subclasses:
    `JSefaCsvReader`, `JSefaFlrReader`, `JSefaXmlReader`

      public abstract class JSefaReader
      extends CountedReader

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected net.sf.jsefa.Deserializer` | `deserializer` |
    `protected String` | `encoding` |
    `protected String` | `file` |
    `protected String` | `objectAccessorProvider` |
    `protected String` | `objectTypes` |
    `protected String` | `simpleTypeProvider` |
    `protected String` | `typeMappingRegistry` |
    `protected String` | `validationMode` |
    `protected String` | `validationProvider` |

    - ### Fields inherited from class org.apache.batchee.extras.transaction.CountedReader

      `items`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JSefaReader()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `protected Object` | `doRead()` |
    `protected abstract net.sf.jsefa.Deserializer` | `initDeserializer()` |
    `void` | `open​(Serializable checkpoint)` |

    - ### Methods inherited from class org.apache.batchee.extras.transaction.CountedReader

      `checkpointInfo, incrementCount, incrementReaderCount, readItem`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### objectTypes

          @Inject
          protected String objectTypes

    - #### validationMode

          @Inject
          protected String validationMode

    - #### objectAccessorProvider

          @Inject
          protected String objectAccessorProvider

    - #### validationProvider

          @Inject
          protected String validationProvider

    - #### simpleTypeProvider

          @Inject
          protected String simpleTypeProvider

    - #### typeMappingRegistry

          @Inject
          protected String typeMappingRegistry

    - #### file

          @Inject
          protected String file

    - #### encoding

          @Inject
          protected String encoding

    - #### deserializer

          protected net.sf.jsefa.Deserializer deserializer

  - ### Constructor Detail

    - #### JSefaReader

          public JSefaReader()

  - ### Method Detail

    - #### open

          public void open​(Serializable checkpoint)
                    throws Exception

      Specified by:
        `open` in interface `javax.batch.api.chunk.ItemReader`
      Overrides:
        `open` in class `CountedReader`
      Throws:
        `Exception`

    - #### initDeserializer

          protected abstract net.sf.jsefa.Deserializer initDeserializer()
                                                                 throws Exception

      Throws:
        `Exception`

    - #### doRead

          protected Object doRead()
                           throws Exception

      Specified by:
        `doRead` in class `CountedReader`
      Throws:
        `Exception`

    - #### close

          public void close()
                     throws Exception

      Throws:
        `Exception`